Yandex Cloud
Search
Contact UsTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Cloud Interconnect
    • Overview
    • Operation overview
    • Terminology
    • Points of presence
    • Transceivers
    • Trunk
    • Private connection
    • Public connection
    • CIC partners
    • Monitoring
    • Data size and connection capacity
    • Quotas and limits
  • Pricing policy
  • Access management
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • UpsertStaticRoute
        • RemoveStaticRoute
        • ListOperations
  • Release notes

In this article:

  • gRPC request
  • ListPrivateConnectionsRequest
  • ListPrivateConnectionsResponse
  • PrivateConnection
  • Peering
  • StaticRoute
  1. API reference
  2. gRPC
  3. PrivateConnection
  4. List

Cloud Interconnect API, gRPC: PrivateConnectionService.List

Written by
Yandex Cloud
Improved by
Tania L.
Updated at February 21, 2025
  • gRPC request
  • ListPrivateConnectionsRequest
  • ListPrivateConnectionsResponse
  • PrivateConnection
  • Peering
  • StaticRoute

Retrieves the list of PrivateConnection resources in the specified folder.

gRPC requestgRPC request

rpc List (ListPrivateConnectionsRequest) returns (ListPrivateConnectionsResponse)

ListPrivateConnectionsRequestListPrivateConnectionsRequest

{
  "folder_id": "string",
  "page_size": "int64",
  "page_token": "string",
  "filter": "string"
}

Field

Description

folder_id

string

Required field. ID of the folder to list PrivateConnection resources.
To get the folder ID use a yandex.cloud.resourcemanager.v1.FolderService.List request.

page_size

int64

The maximum number of results per page to return. If the number of available
results is larger than page_size,
the service returns a [ListPrivatesConnectionResponse.next_page_token]
that can be used to get the next page of results in subsequent list requests. Default value: 100.

page_token

string

Page token. To get the next page of results, set page_token to the
[ListPrivatesConnectionResponse.next_page_token] returned by a previous list request.

filter

string

A filter expression that filters resources listed in the response.
The expression must specify:

  1. The field name. Currently you can use filtering only on [Subnet.name] field.
  2. An = operator.
  3. The value in double quotes ("). Must be 3-63 characters long and match the regular expression [a-z][-a-z0-9]{1,61}[a-z0-9].

ListPrivateConnectionsResponseListPrivateConnectionsResponse

{
  "private_connections": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "folder_id": "string",
      "region_id": "string",
      "trunk_connection_id": "string",
      "vlan_id": "google.protobuf.Int64Value",
      "ipv4_peering": {
        "peering_subnet": "string",
        "peer_ip": "string",
        "cloud_ip": "string",
        "peer_bgp_asn": "int64",
        "cloud_bgp_asn": "int64",
        "peer_bgp_md5_key": "string"
      },
      "ipv4_static_routes": [
        {
          "prefix": "string"
        }
      ],
      "labels": "map<string, string>",
      "status": "Status",
      "created_at": "google.protobuf.Timestamp"
    }
  ],
  "next_page_token": "string"
}

Field

Description

private_connections[]

PrivateConnection

List of PrivateConnection resources.

next_page_token

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListPrivateConnectionsRequest.page_size, use
the next_page_token as the value
for the ListPrivateConnectionsRequest.page_token query parameter
in the next list request. Subsequent list requests will have their own
next_page_token to continue paging through the results.

PrivateConnectionPrivateConnection

A PrivateConnection resource.

Field

Description

id

string

ID of the privateConnection.

name

string

Name of the privateConnection.
The name must be unique within the folder.
Value must match the regular expression ``\

a-zA-Z?``.

description

string

Optional description of the privateConnection. 0-256 characters long.

folder_id

string

ID of the folder that the privateConnection belongs to.

region_id

string

ID of the region that the privateConnection belongs to.

trunk_connection_id

string

ID of the trunk_connection that the privateConnection belongs to.

vlan_id

google.protobuf.Int64Value

VLAN_ID that the privateConnection uses in multiplexing.
Not used in connections over partners-II
Value range: [1, 4095]

ipv4_peering

Peering

IPv4 peering config of connection

ipv4_static_routes[]

StaticRoute

IPv4 StaticRoute config of connection

labels

object (map<string, string>)

Resource labels, key:value pairs.
No more than 64 per resource.
The maximum string length in characters for each value is 63.
Each value must match the regular expression [-_0-9a-z]*.
The string length in characters for each key must be 1-63.
Each key must match the regular expression [a-z][-_0-9a-z]*.

status

enum Status

Status of the privateConnection.

  • STATUS_UNSPECIFIED
  • CREATING
  • UPDATING
  • DELETING
  • ACTIVE

created_at

google.protobuf.Timestamp

Creation timestamp in RFC3339 text format.

PeeringPeering

Field

Description

peering_subnet

string

PeeringSubnet.
It's an ip with format ipPrefix/length where address part of ipPrefix is 0.

peer_ip

string

PeerIp.
It's an ip with just an ipAddress format without mask.

cloud_ip

string

CloudIp.
It's an ip with just an ipAddress format without mask.

peer_bgp_asn

int64

PeerBgpAsn.
PeerAsn excluding rfc5398 (excluding 64496 - 64511 and 65536 - 65551).

cloud_bgp_asn

int64

CloudBgpAsn.

peer_bgp_md5_key

string

PeerBgpMd5Key.
Optional.

StaticRouteStaticRoute

Field

Description

prefix

string

Prefix.
It's an ip with format ipPrefix/length where address part of ipPrefix is 0.

Was the article helpful?

Previous
Get
Next
Create
© 2026 Direct Cursus Technology L.L.C.